import { LRLanguage, LanguageSupport } from '@codemirror/language';
import * as _codemirror_autocomplete from '@codemirror/autocomplete';
import { CompletionContext, CompletionResult, Completion } from '@codemirror/autocomplete';

declare function localCompletionSource(context: CompletionContext): CompletionResult | null;
declare const globalCompletion: (completions?: Completion[]) => _codemirror_autocomplete.CompletionSource;

declare const pythonScmLanguage: LRLanguage;
declare function pythonScm(completions: Completion[]): LanguageSupport;

export { globalCompletion, localCompletionSource, pythonScm, pythonScmLanguage };
